Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install and removal info
- Pst2mail.exe: the unregistered executable
- Pst2mail.chm: the help-file including the manual
- Pst2mail.ico: icon file
- several txt-files including all kinds of help, which are included in the ".chm" file too.


Introducing Pst2mail

 If we would describe Pst2mail in one short line then it would be:
It is a program to extract email addresses from an unprotected (*) Outlook pst file.

In Outlook your emails can be structured in folders. People who want to retrieve a list of all email addresses from a top folder (personal folders) normally have to do this manually, which can be a huge work. Pst2mail gives here the solution: select the pst-file representing the top folder, eventually adapt the filter settings, choose a file to write too and hit the run button. All email addresses (except those from within your own network) will be written to the screen and to the file.

(*) Remark that the program is not made for pst files which are protected! With unprotected we mean "no encryption at all". Pst files protected with a password can not be used in Pst2mail, but also files using the standard compressible encryption (without password) can not be directly read by Pst2mail. There is a workaround though for last case: simply make an additional personal top folder in Outlook, force the option "No encryption", and copy the mails from the encrypted to the non-encrypted personal folders!! The resulting pst file can be processed by Pst2mail.


Requirements

 Software requirements are low. It should suffy you have Windows 95 or higher. Higher versions of Windows should be compatible.

The program has been tested on Outlook for Win95 and Outlook 2002. We expect it to work too with previous and latter versions.

Hardware requirements are nihil; the slowest Pentium will be more than enough and the needed hard disk free space is about 1MB only... . For big pst files though we recommend a fast hard disk and a fast processor (1GHz or higher)


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu.

    If install fails for some reason then you can also manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\Pst2mail and then run pst2mail.exe.

  • Registered version
    Simply replace the old pst2mail.exe (not the installer!) with the one you got by E-mail.
Always keep files together in the installation directory.

To remove the software, use the uninstall option, available via for instance the Windows start menu. Please remove manually eventual remaining files like *.ini and *.his files and then remove eventually the empty directory.


How it works - short

 Select the pst file representing the top Outlook folder you want the email addresses from, eventually adapt the filter settings, choose a file to write too and hit the run button. All email addresses will be written to the screen and to the output file.


File...

 After clicking on "File..." you find a sub-menu.
  • PST
    Here you can browse for the PST-file which represents the folder you want the email addresses from. If you don't know where the files are located then check your Outlook options.
    Just after you selected a pst-file, the complete path and file name will be entered in the input data sheet in the correct field.
    When you selected once a file it will be remembered in the history list under "Browse". To save time, use this, the next time you look for the file.
  • Filter "Select": It will load filter data from a previously saved filter file into the input data sheet. "Save as": It will save the actually shown filter data. You are recommended always to use the button on the input sheet or the history list in the file menu. Try to avoid browsing for a file here so that filter files always have the same extension (*.flt).
  • Output "Select": It will load the name of the output file you want to write to, in the input sheet. All previous info will be overwritten in the file if you use an existing file. "Open": It will try to open the file you have written to so that you can view the resulting email-addresses. The program usually used for txt-files will be opened. Mostly this is notepad.


NO addresses found?

 To save time you can let the program remember what folders you usually use for the pst-files, filter files and output files. You are recommended to use this options to win time!


Input data sheet

 You can use the right hand mouse button on an item of the input data sheet to know more about it or you can read this summary of the 3 "regions" in the input data sheet:
  • PST File: There is a pst field where you can enter the complete path and file name of the pst-file representing the Outlook folder you want to search through. You are strongly recommended to complete this field by using the file menu.
  • Exclude Filter: If you do not want that some items are written to the output file you can use the exclude filter.
    You can exclude specific items from the output file. Your own email-address is a typical example. Also addresses from servers which bounce back sent emails can be entered here (for example "postmaster@" and "mailer-daemon"...) .
    You can prevent that the same address is twice written to the output file by checking the "Doubles" checkbox.
    The "Longer than... characters" could eventually be used too. Checking this checkbox and giving a limitation number can help here, but this feature is not important for most clients.
    About the buttons: Hit the "Default" button to load the initial filter settings proposed by the software maker. Hit the "Standard" button to load all your most preferred filter settings at once. Hit the "Save as standard" button to save all your most preferred filter settings at once. They will be saved in the "standard.flt" file. Hit the "Save" button to save the actual filter settings. Do not forget to enter first a name for your filter (eg "project_1_filter").
  • Output File: the program will propose a name for your output file or you can enter here the complete path and file name of the output file where the found emails will be written to. If it exists already you can simply use the file menu to select it and so enter it automatically... .


Output sheet

 Hit the run button to start searching email-addresses. They will be shown in the left pane while they are found and while they are being written to the output file. In the right pane the addresses are shown, which are excluded from the output file caused by eventual filter settings. If you happen to see an address which you want to add anyway, then click the "Add anyway" button and it will be added to the end of the output file.
Hitting the sort button will sort the found addresses on screen + in the output file.
Note: before hitting the run button it is better to close Outlook itself, in order to make sure that Pst2mail can look freely in the pst-files.
Tip: Double-click under the run button on the label "Found (added to output-file)" to open quickly the output file.


Options

 The program is not made for pst files which are protected! With unprotected we mean "no encryption at all". Pst files protected with a password can not be used in Pst2mail, but also files using the standard compressible encryption (without password) can not be directly read by Pst2mail. But do not run away!
There is a workaround for last case: simply make an additional personal top folder in Outlook, force the option "No encryption", and copy the mails from the encrypted to the non-encrypted personal folders!! The resulting pst file can be processed by Pst2mail.


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and will include some of your personal info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.

At the time this is written there is even an online site translator (draft) accessible via our website for languages like French, German, Italian, Japanese, Korean, Portuguese and Spanish.


Register

 To register, simply go to our website and look for a register link. Then just follow instructions.
At the moment this is written we work with an intermediate company who is specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
Price is currentlly 24US$, including the fee for intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in future.

Once registration accepted you will get your personal, registered, executable file of the last known version of this program by E-mail. Then simply replace the unregistered file by this registered file in the installation directory (usually c:\Program Files\Pst2mail).


Updates

 Every registered user has the right to ask for 1 free update (if available) per email. This is only valid however for users who registered during the period this is mentioned on website. This way of working can change in future. Registered users are kept in database and have a reasonable chance that sooner or later all updates will be cheaper for them or even completely free. Eventual updated documentation will always be free and downloadable. Please check website.

Version history:
version 1.0, released June 2004
version 1.2, released July 2004:
- dramatically faster processing
- sorting possibility added
- some minor changes
version 1.3, released August 2004:
- removed 2 small bugs
version 1.4, released January 2006:
- better operation of cancel button
- better resizing behavior at low and high resolutions
- help file updated